### Signal

# WebKit Download::finished

unstable since: 6.0

#### Declaration

    void
    finished (
      WebKitDownload* self,
      gpointer user_data
    )

#### Description [src]

This signal is emitted when download finishes successfully or due to an error. In case of errors `WebKitDownload::failed` signal is emitted before this one.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 6.0